%define prever pre10

Name:           KoboDeluxe
Version:        0.4
Release:        0.3.%{prever}%{?dist}
Summary:        3'rd person scrolling 2D shooter
Group:          Amusements/Games
License:        GPL
URL:            http://olofson.net/kobodl/
Source0:        http://olofson.net/kobodl/download/%{name}-%{version}%{prever}.tar.gz
Source1:        %{name}.png
Source2:        %{name}.desktop
Patch0:         KoboDeluxe-cpp-fixes.patch
Patch1:         KoboDeluxe-defaults.patch
Patch2:         KoboDeluxe-0.4pre10-audio.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_image-devel desktop-file-utils
Requires:       hicolor-icon-theme
Requires(pre):  /usr/sbin/groupadd

%description
Kobo Deluxe is a 3'rd person  scrolling 2D shooter with a simple
and responsive control system  - which you'll need to tackle the
tons of enemy ships that shoot at you,  chase you, circle around
you shooting,  or even  launch other ships at you,  while you're
trying to  destroy the  labyrinth  shaped  bases.  There  are 50
action packed  levels with  smoothly increasing  difficulty, and
different combinations of enemies that require different tactics
to be dealt with successfully.


%prep
%setup -q -n %{name}-%{version}%{prever}
%patch0 -p1 -z .cpp
%patch1 -p1 -z .defaults
%patch2 -p1 -z .audio
sed -i -e 's|$(datadir)/games/kobo-deluxe|$(datadir)/kobo-deluxe|g' \
  -e 's|$(prefix)/games/kobo-deluxe/scores|%{_var}/games/kobo-deluxe|g' \
  configure data/Makefile.in
iconv -f ISO-8859-1 -t UTF8 README > tmp;         mv tmp README
iconv -f ISO-8859-1 -t UTF8 ChangeLog > tmp;      mv tmp ChangeLog
iconv -f ISO2022JP -t UTF8 README.jp > tmp;       mv tmp README.jp
iconv -f ISO2022JP -t UTF8 README.xkobo.jp > tmp; mv tmp README.xkobo.jp



%build
%configure --disable-dependency-tracking --enable-opengl
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%pre
/usr/sbin/groupadd kobodl 2> /dev/null || :

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING* README README.jp README.xkobo.jp README.sfont 
%doc README.xkobo TODO
%attr(2755,root,kobodl) %{_bindir}/kobodl
%{_datadir}/kobo-deluxe
%{_mandir}/man6/kobodl.6.gz
%config(noreplace) %attr(0775,root,kobodl) %{_var}/games/kobo-deluxe
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Mon Feb 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4-0.3.pre10
- Some last small specfile improvements from review (bz 228707)

* Mon Feb 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4-0.2.pre10
- various specfile improvements from review (bz 228707)
- install (do not remove after make install) kobosfx.h, its not a stray header
  file it actually gets loaded runtime by the game

* Mon Feb 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4-0.1.pre10
- Initial Fedora Extras package
